[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumns.Enabled

Indicates if the column collection is enabled.

## Declaration

Source position: grids.pas line 672

`public property TGridColumns.Enabled : Boolean read GetEnabled;`

## Description

Enabled is a read-only Boolean property which indicates if columns in the collection can be used in the associated Grid control. Enabled is True when Count contains a value greater than 0 (zero). Please note: In prior LCL versions, the value in VisibleCount was checked to determine the Enabled state. In the current LCL version, VisibleCount and Count return the same value.

## See also

TGridColumns.Grid |  | The Grid which owns the collection and columns.
TGridColumns.Items |  | Provides indexed access to column definitions in the collection.
TCollection.Count